Name:           python-durus
Version:        3.9
Release:        19%{?dist}
Summary:        A Python Object Database
License:        CNRI
URL:            http://www.mems-exchange.org/software/durus/
Source0:        https://pypi.python.org/packages/source/D/Durus/Durus-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%global _description\
Durus is a persistent object system for applications written in the Python\
programming language. It offers an easy way to use and maintain a consistent\
collection of object instances used by one or more processes. Access and change\
of a persistent instances is managed through a cached Connection instance which\
includes commit() and abort() methods so that changes are transactional.\
Durus is best suited to collections of less than a million instances with\
relatively stable state.

%description %_description

%package -n python2-durus
Summary: %summary
%{?python_provide:%python_provide python2-durus}

%description -n python2-durus %_description

%prep
%setup -qn Durus-%{version}

%build
CFLAGS="%{optflags}" %{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot} --single-version-externally-managed

%files -n python2-durus
%doc doc/ *.txt
%{_bindir}/durus
%{python2_sitearch}/Durus-%{version}-py%{python2_version}.egg-info/
%{python2_sitearch}/durus/

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.9-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.9-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 16 2018 Iryna Shcherbina <ishcherb@redhat.com> - 3.9-17
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.9-16
- Python 2 binary package renamed to python2-durus
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.9-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.9-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.9-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9-12
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.9-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Dec 03 2013 Christopher Meng <rpm@cicku.me> - 3.9-7
- SPEC cleanup, change source URL to pypi for future tracking.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 3.9-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon May 03 2010 Rakesh Pandit <rakesh@fedoraproject.org> - 3.9-1
- Updated to 3.9

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 3.8-1
- Updated to 3.8

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 3.5-8
- Fix locations for Python 2.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 3.5-7
- Rebuild for Python 2.6

* Tue Sep 16 2008 Matt Domsch <mdomsch@fedoraproject.org> - 3.5-6
- fix FTBFS BZ#434427

* Fri Mar 07 2008 Jesse Keating <jkeating@redhat.com> - 3.5-5
- Drop the pyver stuff, no longer needed.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.5-4
- Autorebuild for GCC 4.3

* Sat Dec 23 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 3.5-3
- Rebuild for new Python.

* Sat Sep 16 2006 Shahms E. King <shahms@shahms.com> 3.5-2
- Rebuld for FC6

* Thu Aug 17 2006 Shahms E. King <shahms@shahms.com> 3.5-1
- Update to new upstream version

* Fri Aug 11 2006 Shahms E. King <shahms@shahms.com> 3.4.1-3
- Include, don't ghost .pyo files per new guidelines

* Fri Jun 02 2006 Shahms E. King <shahms@shahms.com> 3.4.1-2
- Use pyver macro everywhere

* Fri Jun 02 2006 Shahms E. King <shahms@shahms.com> 3.4.1-1
- Update to new upstream version
- BuildRequire setuptools

* Thu Mar 23 2006 Shahms E. King <shahms@shahms.com> 3.3-1
- Update to upstream 3.3

* Mon Feb 13 2006 Shahms E. King <shahms@shahms.com> 3.2-1
- Update to upstream 3.2
- Rebuild for FC5

* Tue Nov 01 2005 Shahms E. King <shahms@shahms.com> 3.1-1
- Update to upstream 3.1

* Thu Sep 08 2005 Shahms E. King <shahms@shahms.com> 3.0-1
- Update to upstream 3.0 (2.0 was only a license change, no code)
- Add dist tag

* Fri Apr 22 2005 Shahms E. King <shahms@shahms.com> 1.5-2
- Increment Release to fix EVR problem

* Wed Apr 13 2005 Shahms E. King <shahms@shahms.com> 1.5-1
- New upstream version
- Remove unnecessary python_sitelib define

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Mar 01 2005 Shahms E. King <shahms@shahms.com> 1.4-1
- Initial Release
